<?php
/*
 * ----------------------------------------------------------------------------
 * Layout_Forum.inc.php                                              05/16/2003
 * This script contains the headers and footers used with the message forums.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once('include_dir.php');                    // Get include directory.
require_once($includeDir . 'va-functions.inc.php'); // A VADV-PHP script.
require_once($includeDir . 'va-main.inc.php');      // Include the main BBS configuration.


/**
* Layout_Forum.inc.php :: ForumHeader()
*
* This is the header part of the webpage.
*
*/
function ForumHeader() {
    global $CONFIG;                         // Include the global variable.
    global $VA_MAIN;                        // Include the global variable.
    global $USER;                           // Include current user information.
?>

<html>

<head>
<title><?php print $VA_MAIN['bbsname']; ?> Forums</title>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8559-1" />
<meta name="copyright" content="Copyright  2003, Steve Winn" />
<style>
<!--
    a:active            { color: #FF0000 }
    a:link              { color: #0000D0 }
    a:visited           { color: #0000D0 }
    a:hover             { color: #FF0000 }
    a.msgBack:link      { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FF0000; font-weight: bold }
    a.msgBack:visited   { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FF0000; font-weight: bold }
    a.msgHeader:link    { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FFFFFF; font-weight: bold }
    a.msgHeader:visited { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FFFFFF; font-weight: bold }
    .body               { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #000000; }
    .boldBody           { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #000000; font-weight: bold }
    .filename           { font-family: Courier New;               font-size: 10pt; color: #000080; font-weight: bold }
    .filesize           { font-family: Courier New;               font-size: 10pt; color: #000080; }
    .heading            { font-family: Verdana, Arial, Helvetica; font-size: 10pt; color: #000000; font-weight: bold }
    .msgBack            { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FF0000; font-weight: bold }
    .msgBody            { font-family: Verdana, Arial, Helvetica; font-size: 10pt; color: #000000; }
    .msgHeader          { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FFFFFF; font-weight: bold }
    .msgTime            { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #666666; }
    .msgTitle           { font-family: Verdana, Arial, Helvetica; font-size: 10pt; color: #FFFF00; font-weight: bold }
    .title              { font-family: Verdana, Arial, Helvetica; font-size: 12pt; color: #000000; font-weight: bold }
-->
</style>
</head>

<body bgcolor="#FFFFFF">

<div align="center">
<center>
<table cellspacing="0" cellpadding="0" width="750" border="0" style="border-collapse: collapse" bordercolor="#111111">
    <tr>
        <td>
            <span class="title"><a href="http://www.vadvphp.com"><img border="0" src="./../images/vadv-php.gif" alt="VADV-PHP" width="50" height="30"></a> <?php print $VA_MAIN['bbsname'] ?> Forums</span>
            <hr color="#525552">
            <p><span class="heading">Welcome to the <?php print $VA_MAIN['bbsname']; ?> Forums.</span><br />
            <span class="body">Casually read the BBS message area using an easy to use interface. Messages are categorized exactly like they are on the BBS. You may now post new messages or reply to existing messages!</span></p>

<?php
    if (($USER['userno'] != 0) && ($USER['userno'] != $CONFIG['guestacct'])) {
?>
            <p class="body"><span class="boldBody">You are logged in as: <?php print $USER['handle']; ?></span> (#<?php print $USER['userno']; ?>)</p>
<?php
    } else {
?>
            <p><span class="boldBody">You are not logged in. Login <a href="./../bbslogin.php?url=<?php print urlencode(GetCurrentURL()); ?>">here</a> for full access priviledges.</span></p>
<?php
    }
}


/**
* Layout_Forum.inc.php :: ForumFooter()
*
* This is the footer part of the webpage.
*
*/
function ForumFooter() {
    global $CONFIG;                      // Include the global variable.
    global $totalTime;
?>

            <p align="center"><span class="boldBody">This page is powered by <a style="color: #000000" href="http://www.vadvphp.com">VADV-PHP</a></span><br />
            <span class="body">Execution Time: <?php print $totalTime; ?> seconds</span></p>
            <p align="center"><span class="body">If you experience any problems with this website or need help, contact the
            <a href="mailto:<?php print $CONFIG['webmaster']; ?>">webmaster</a>.<br />
            VADV-PHP Copyright  2002-<?php print date("Y"); ?> Steve Winn. All Rights Reserved.<br />
            Virtual Advanced Copyright  1995-1997 Roland De Graaf.</span></p>
        </td>
    </tr>
</table>
</center>
</div>

</body>

</html>

<?php
}
?>
