<?php
/*
 * ----------------------------------------------------------------------------
 * Post-Email.php                                                    05/12/2003
 * This script displays the new message/reply form to the user.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

session_cache_limiter('private, must-revalidate');  // Useful if a user hits the back button.

require_once('include_dir.php');                    // Get include directory.
require_once($includeDir . 'va-functions.inc.php'); // A VADV-PHP script.
require_once($includeDir . 'va-database.inc.php');  // Include database functions.
require_once($includeDir . 'va-main.inc.php');      // Include main configuration.
require_once($includeDir . 'va-networks.inc.php');  // Include network information.
require_once('layout_email.inc.php');               // Webpage header and footer.

if (!isset($_POST['referer'])) die('<br /><h4>Invalid message parameters. Please press the BACK button on your browser.</h4>');

// Check for cancel button.
if ((isset($_POST['submit'])) && ($_POST['submit'] == 'Cancel')) RedirectUser($_POST['referer']);

$dbInfo = SetEmailInfo($USER['userno']);
$VA_NETWORKS = GetNetworkInfo();

// Check user's write security level.
if (($USER['userno'] != 0) && ($USER['securitylevel'] < $dbInfo['minwritesl'])) die('<br /><h4>You do not have access to post in this area. Please press the BACK button on your browser.</h4>');

if ((isset($_POST['reply'])) && ($_POST['reply'] != 0)) {   // Set the passed variables.
    $reply = intval($_POST['reply']);
    $msgInfo = GetMessageInfo($dbInfo, $reply);
} else {
    $reply = 0;
}

// Check to see if the message was already created and needs to be processed.
if ((isset($_POST['msgflag'])) && ($_POST['msgflag'] == 1)) {
    if (isset($_POST['touser'])) {
        $toUser = htmlspecialchars($_POST['touser']);
        if (isset($_POST['tonetid'])) {
            $toNetId = intval($_POST['tonetid']);
            if ($_POST['tonetid'] == 0) {   // Determine if a local or network email.
                $toUserString = $toUser . '@0*' . $toNetId;
            } else {
                $toUserString = $toUser . '*' . $toNetId;
            }
        }
    } else {
        die('<br /><h4>Invalid message parameters. Please press the BACK button on your browser.</h4>');
    }
    
    if (isset($_POST['subject'])) {
        $msgSubject = $_POST['subject'];
    } else {
        die('<br /><h4>Invalid message parameters. Please press the BACK button on your browser.</h4>');
    }

    if (isset($_POST['msgbody'])) {
        $msgBody = $_POST['msgbody'];
    } else {
        die('<br /><h4>Invalid message parameters. Please press the BACK button on your browser.</h4>');
    }

    $attFilename = '';
    if (isset($_FILES['attfile'])) {
        if (is_uploaded_file($_FILES['attfile']['tmp_name'])) {
            $userDirectory = $VA_SYSPATHS['sysop'] . '/' . $USER['userno'];
            $filename      = ConvertLongFilename($_FILES['attfile']['name'], $userDirectory);
            $attFilename   = str_replace('/', "\\", $userDirectory . '/' . $filename);
            if (!is_dir($userDirectory)) mkdir($userDirectory);
            move_uploaded_file($_FILES['attfile']['tmp_name'], $attFilename);
            
            // Add any information to the message itself.
            $msgBody = $msgBody . "\r\n\r\n\r\n--------------";
            $msgBody = $msgBody . "\r\nAttached file: " . $filename;
            if ($filename != $_FILES['attfile']['name']) $msgBody = $msgBody . "\r\nOriginal filename: " . $_FILES['attfile']['name'] . "\r\nThe filename was changed for compatibility reasons.";
        }
    }

    $pos = strrpos($_POST['referer'], '/');
    $url = substr($_POST['referer'], 0, $pos);
    if ($reply > 0) {
        WriteEmail($USER['userno'], $toUserString, $msgSubject, $msgBody, $reply, $attFilename);
        // Return to message.
        RedirectUser($url . '/email-viewmsg.php?m=' . $reply);
    } else {
        WriteEmail($USER['userno'], $toUserString, $msgSubject, $msgBody, 0, $attFilename);
        // Return to message listing.
        RedirectUser($url . '/email-dispmsg.php');
    }
}

EmailHeader();
?>
<script language="javaScript">
<!--
function validate(form) {
    if ((form.touser.value.length == 0) ||
        (form.subject.value.length == 0) ||
        (form.msgbody.value.length == 0)) {
        alert("Please enter a to address, a subject and a message.")
        form.touser.focus()
        return false
    }
}
//-->
</script>
<form name="postmsg" method="POST" action="post-email.php" enctype="multipart/form-data" onsubmit="return validate(postmsg)">
    <input type="hidden" name="referer" value="<?php print $_POST['referer']; ?>">
    <input type="hidden" name="reply" value="<?php print $reply; ?>">
    <?php if (($USER['securitylevel'] >= $VA_MAIN['emlotherfile']) && (trim(ini_get('file_uploads')) != '')) {?><input type="hidden" name="MAX_FILE_SIZE" value="5242880"><?php ;} ?>
    <?php if (isset($reply) && ($reply > 0)) { ?>
        <input type="hidden" name="touser" value="<?php print $msgInfo['fromhandle'] . '@' . $msgInfo['fromnetnode']; ?>">
        <input type="hidden" name="tonetid" value="<?php print $msgInfo['fromnetid']; ?>">
    <?php } ?>
    <input type="hidden" name="msgflag" value="1">
    <div align="center">
        <center>
        <table border="1" cellpadding="2" cellspacing="0" style="border-collapse: collapse" width="750" bordercolor="#666666" bgcolor="#E2E2E2">
            <tr>
                <td height="25" colspan="2" bgcolor="#416DBF" align="left">
                    <p class="msgTitle">&nbsp;&nbsp;<?php print $dbInfo['desc']; ?> - New Message</p></td>
            </tr>
            <tr>
                <td height="15" colspan="2" bgcolor="#000080" align="left">
                    <p class="msgHeader">&nbsp;</p></td>
            </tr>
            <tr>
                <td align="center" valign="top">
                    <table border="0" cellspacing="1" style="border-collapse: collapse" bordercolor="#111111" width="639">
                        <tr>
                            <td width="90" height="25" valign="top">
                                <p class="body">To:</p></td>
                            <td height="25">
                                <p><?php if ($reply > 0) {print '<span class="boldBody">' . $msgInfo['fromhandle'] . ' </span><span class="body">@' . $msgInfo['fromnetnode'] . '  ' . $VA_NETWORKS[$msgInfo['fromnetid']]['desc'] . '</span>';} else { ?>
                                    <input name="touser" type="text" size="40" maxlength="40">
                                    <select name="tonetid" size="1">
                                        <option selected value="0">Local</option>
                                        <?php
                                            $pos = 1;
                                            for ($x = 1; $pos <= $VA_NETWORKS[0]; $x++) {
                                                if (isset($VA_NETWORKS[$x])) {
                                                    if (($VA_NETWORKS[$x]['nettype'] != 2) && ($VA_NETWORKS[$x]['nettype'] != 5)) {
                                                        print "<option value=\"" . $x . "\">" . $VA_NETWORKS[$x]['desc'] . "</option>\n";
                                                    }
                                                    $pos++;
                                                }
                                            }
                                        ?>
                                    </select>
                                    <?php } ?></p>
                            </td>
                        </tr>
                        <tr>
                            <td width="90" height="25" valign="top">
                                <p class="body">Subject:</p></td>
                            <td height="25">
                                <input name="subject" type="text" size="64" maxlength="64" value="<?php if ($reply > 0) print $msgInfo['subject']; ?>"></td>
                        </tr>
                        <?php
                            if (($USER['securitylevel'] >= $VA_MAIN['emlotherfile']) && (trim(ini_get('file_uploads')) != '')) {
                        ?>
                        <tr>
                            <td width="90" height="25" valign="top">
                                <p class="body">Att File:</p></td>
                            <td height="25">
                                <input name="attfile" type="file" size="64"></td>
                        </tr>
                        <?php
                            }
                        ?>
                        <tr>
                            <td width="90" height="25" valign="top">
                                <p class="body">Message:</p></td>
                            <td>
                                <textarea name="msgbody" rows="15" cols="80" wrap="hard"><?php if ($reply > 0) print 'Re: ' . $msgInfo['subject'] . QuoteMessage(GetMessage($dbInfo, $reply)) . "\r\n"; ?></textarea>
                                <table border="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="100%" cellpadding="2">
                                    <tr>
                                        <td align="right" width="300">
                                            <input type="submit" value="Submit" name="submit"></td></form>
                                        <form name="cancelPost" method="POST" action="post-email.php">
                                            <td align="left">
                                                <input type="hidden" name="referer" value="<?php print $_POST['referer']; ?>">
                                                <input type="submit" value="Cancel" name="submit">
                                            </td>
                                        </form>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td colspan="2" bgcolor="#416DBF" align="left">&nbsp;</td>
            </tr>
        </table>
        </center>
    </div>
<?php
$totalTime = round(ProgramTime() - $startTime, 4);

EmailFooter();
?>
