<?php
/*
 * ----------------------------------------------------------------------------
 * Forms.inc.php                                                     05/19/2003
 * This script contains various forms that are used to login, register, etc.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once('include_dir.php');                    // Get include directory.
require_once($includeDir . 'va-functions.inc.php'); // A VADV-PHP script.


/**
* Common.inc.php :: LoginBox()
*
* This function will display the login box. If the user is not logged in, then
* he will be presented with a form to login. If the user is currently logged in,
* then he will be presented with a logoff button.
*
*/
function LoginBox() {
    global $CONFIG;
    global $USER;

    if ((isset($_SESSION['auth'])) && (!$_SESSION['auth'])) {
        if ((isset($_SESSION['error'])) && ($_SESSION['error'])) {
            if (isset($_SESSION['login'])) {
                // Destroy the session information.
                $_SESSION = array();
                session_destroy();
            }
?>
            <p class="infoBarBody" align="center"><span class="boldInfoBar">Invalid username or password!</span></p>
<?php
        }
?>
        <script language="javaScript">
        <!--
        function validate(form) {
            if ((form.username.value.length == 0) || (form.password.value.length == 0)) {
                alert("Please enter a username and password.");
                form.username.focus();
                return false;
            }
        }
        //-->
        </script>
        <div align="center">
            <center>
                <table width="100" cellspacing="0" border="0" cellpadding="2">
                    <form name="login" method="POST" action="login.php" onsubmit="return validate(login)">
                        <input type="hidden" name="referer" value="<?php print GetCurrentURL(0); ?>">
                        <?php if (isset($_GET['url'])) print "<input type=\"hidden\" name=\"url\" value=\"" . $_GET['url'] . "\">"; ?>
                        <tr>
                            <td width="50%">
                                <p class="infoBarBody" align="left">Username:</p>
                            </td>
                            <td width="50%">
                                <p align="left"><input type="text" name="username" size="12" maxlength="40"></p>
                            </td>
                        </tr>
                        <tr>
                            <td width="50%">
                                <p class="infoBarBody" align="left">Password:</p>
                            </td>
                            <td width="50%">
                                <p align="left"><input type="password" name="password" size="12" maxlength="8"></p>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2" width="100%">
                                <p class="infoBarBody" align="center"><input type="image" name="submit" src="images/login.gif" border="0" alt="Login!" width="54" height="25"></p>
                                <p class="infoBarBody" align="center"><input type="checkbox" name="remember" value="1"> Remember Me<br />(expires in a week)</p>
                            </td>
                        </tr>
                    </form>
                </table>
            </center>
        </div>
<?php
    } else {
?>
        <table width="100%" cellspacing="0" border="0" cellpadding="2">
            <form method="POST" action="login.php">
                <input type="hidden" name="logoff" value="logoff">
                <input type="hidden" name="referer" value="<?php print GetCurrentURL(); ?>">
                <tr>
                    <td>
                        <p align="center" class="infoBarBody"><span class="boldInfoBar">You are logged in as: <?php print $USER['handle']; ?></span> (#<?php print $USER['userno']; ?>)</p>
                        <p align="center"><input type="image" name="submit" src="images/logoff.gif" border="0" alt="Logoff!" width="62" height="25"></p>
                    </td>
                </tr>
            </form>
        </table>
<?php
    }
}


/**
* Common.inc.php :: RegistrationBox()
*
* This function will display a new user registration form.
*
*/
function RegistrationBox() {
    global $CONFIG;
    
    $required = GetAccFlags($CONFIG['newuserreq']);   // Convert into a string.
?>
    <script language="javaScript">
    <!--
    function validate(form) {
        if (<?php if (is_int(strpos($required, 'A'))) print "\n(form.realname.value.length == 0) ||"; ?>
            <?php if (is_int(strpos($required, 'B'))) print "\n(form.address.value.length == 0) ||"; ?>
            <?php if (is_int(strpos($required, 'C'))) print "\n(form.city.value.length == 0) ||"; ?>
            <?php if (is_int(strpos($required, 'D'))) print "\n(form.state.value.length == 0) ||"; ?>
            <?php if (is_int(strpos($required, 'E'))) print "\n(form.zipcode.value.length == 0) ||"; ?>
            <?php if (is_int(strpos($required, 'F'))) print "\n(form.voice.value.length == 0) ||"; ?>
            <?php if (is_int(strpos($required, 'G'))) print "\n(form.data.value.length == 0) ||"; ?>
            <?php if (is_int(strpos($required, 'H'))) print "\n(form.bdaymonth.value.length == 0) || \n(form.bdayday.value.length == 0) || \n(form.bdayyear.value.length == 0) ||\n"; ?>
            (form.username.value.length == 0) ||
            (form.password.value.length == 0) ||
            (form.verify.value.length == 0)) {
            alert("Please fill out all required fields.");
            form.username.focus();
            return false;
        }
    }
    //-->
    </script>
    <form name="registration" method="post" action="register.php" onsubmit="return validate(registration)">
        <input type="hidden" name="referer" value="<?php print GetCurrentURL(); ?>">
        <div align="center">
            <center>
                <table cellspacing="0" border="0" cellpadding="2">
                    <tr>
                        <td colspan="2" class="infoBarBody">
                            <p align="center">Fields marked with "<font color="#FF0000">*</font>" are required.</p>
                        </td>
                    </tr>
                    <tr>
                        <td class="infoBarBody">Username/Handle:<font color="#FF0000">*</font></td>
                        <td><input type="text" name="username" size="40" maxlength="40"></td>
                    </tr>
                    <tr>
                        <td class="infoBarBody">Password:<font color="#FF0000">*</font></td>
                        <td><input type="password" name="password" size="8" maxlength="8"></td>
                    </tr>
                    <tr>
                        <td class="infoBarBody">Verify Password:<font color="#FF0000">*</font></td>
                        <td><input type="password" name="verify" size="8" maxlength="8"></td>
                    </tr>
                    <tr>
                        <td colspan="2" height="25"></td>
                    </tr>
                    <tr>
                        <td class="infoBarBody">Real Name:<?php if (is_int(strpos($required, 'A'))) print "<font color=\"#FF0000\">*</font>"; ?></td>
                        <td><input type="text" name="realname" size="40" maxlength="40"></td>
                    </tr>
                    <tr>
                        <td class="infoBarBody">Address:<?php if (is_int(strpos($required, 'B'))) print "<font color=\"#FF0000\">*</font>"; ?></td>
                        <td><input type="text" name="address" size="40" maxlength="40"></td>
                    </tr>
                    <tr>
                        <td class="infoBarBody">City:<?php if (is_int(strpos($required, 'C'))) print "<font color=\"#FF0000\">*</font>"; ?></td>
                        <td><input type="text" name="city" size="32" maxlength="32"></td>
                    </tr>
                    <tr>
                        <td class="infoBarBody">State:<?php if (is_int(strpos($required, 'D'))) print "<font color=\"#FF0000\">*</font>"; ?></td>
                        <td><input type="text" name="state" size="3" maxlength="3"></td>
                    </tr>
                    <tr>
                        <td class="infoBarBody">Zip Code:<?php if (is_int(strpos($required, 'E'))) print "<font color=\"#FF0000\">*</font>"; ?></td>
                        <td><input type="text" name="zipcode" size="10" maxlength="10"></td>
                    </tr>
                    <tr>
                        <td class="infoBarBody">Phone Number:<?php if (is_int(strpos($required, 'F'))) print "<font color=\"#FF0000\">*</font>"; ?></td>
                        <td><input type="text" name="voice" size="12" maxlength="12"></td>
                    </tr>
                    <tr>
                        <td class="infoBarBody">Fax/Data Number:<?php if (is_int(strpos($required, 'G'))) print "<font color=\"#FF0000\">*</font>"; ?></td>
                        <td><input type="text" name="data" size="12" maxlength="12"></td>
                    </tr>
                    <tr>
                        <td class="infoBarBody">Birthday:<?php if (is_int(strpos($required, 'H'))) print "<font color=\"#FF0000\">*</font>"; ?></td>
                        <td class="infoBarBody">
                            <input type="text" name="bdaymonth" size="2" maxlength="2">/
                            <input type="text" name="bdayday" size="2" maxlength="2">/
                            <input type="text" name="bdayyear" size="4" maxlength="4">
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2" height="25"></td>
                    </tr>
                    <tr>
                        <td class="pre" colspan="2">
                            <p class="notify" align="center">
                                Please click "submit" only once.<br />
                                It may take up to a few minutes to process.
                            </p>
                            <p align="center">
                                <input type="submit" value="Submit" name="submit">
                                <input type="reset" value="Reset" name="submit">
                            </p>
                        </td>
                    </tr>
                </table>
            </center>
        </div>
    </form>
<?php
}

?>
