<?php
/*
 * ----------------------------------------------------------------------------
 * Post-It_Network.php                                               05/17/2003
 * This script will display the last five posts on the Post-It Network.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once('include_dir.php');                    // Get include directory.
require_once($includeDir . 'va-functions.inc.php'); // A VADV-PHP script.
require_once($includeDir . 'va-database.inc.php');  // Include database functions.

// Read the Post-It configuration file.
$configFile = $VA_SYSPATHS['text'] . '/postitnt.cfg';
$config = ReadAt2kConfig($configFile);

// Setup the configuration variable array.
$postitCfg['ver']        = $config[1];
$postitCfg['dbtopic']    = strtoupper($config[2]);
$postitCfg['db']         = $config[3];
$postitCfg['aspnetnode'] = $config[4];
$postitCfg['vnetnode']   = $config[5];
$postitCfg['minwritesl'] = $config[6];
$postitCfg['filter']     = $config[7];

$topicNo = ord($postitCfg['dbtopic']) - 64;     // Calculate the topic number.
$db = GetDbInfo($topicNo, $postitCfg['db']);    // Get the Post-It database information.
?>
<html>

<head>
<title>AT2k Post-It! Network</title>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8559-1" />
<meta name="copyright" content="Copyright  2003, Steve Winn" />
<style>
<!--
    a:active           { color: #FF0000 }
    a:link             { color: #0000D0 }
    a:visited          { color: #0000D0 }
    a:hover            { color: #FF0000 }
    a.boldBody:link    { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FFFFFF; font-weight: bold }
    a.boldBody:visited { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FFFFFF; font-weight: bold }
    .boldBody          { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FFFFFF; font-weight: bold }
    .footer            { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FFFFFF }
    .message           { font-family: Courier New;               font-size: 10pt; color: #00AAAD; font-weight: bold }
    .title             { font-family: Verdana, Arial, Helvetica; font-size: 14pt; color: #FFFF00; font-weight: bold; font-style:italic }
-->
</style>
</head>

<body bgcolor="#000000">

<p class="title" align="right">Aspect Technologies Post-It! Network<font size="1"> v<?php print $postitCfg['ver']; ?>

<font face="Courier New" size="3">
<div align="left">
<?php
// Read the Post-It! database file for faster searches.
$file    = $VA_SYSPATHS['db'] . '/' . $db['filename'] . '.DAT';
if (!is_file($file)) die('<br /><h4>Requested database is missing. Please press the BACK button on your browser.</h4>');
$fileString = ReadCfgFile($file);           // Read the file.

// Get the messages to display and apply any filters.
$num   = 0;
$msgNo = $db['msgno'];
$msg   = array();
while (($num < 5) && ($msgNo > 0)) {
    $msgInfo = FindMessageInfo($db, $msgNo, $fileString);
    if (!$msgInfo['deleted']) {
        if (strpos($msgInfo['subject'], 'Post-It! Network v') !== FALSE) {
            if ($postitCfg['filter'] != 0) {
                if (strpos($msgInfo['subject'], '*p') === FALSE) {
                    $msg[$num] = $msgNo;
                    $num++;
                }
            } else {
                $msg[$num] = $msgNo;
                $num++;
            }
        }
    }
    $msgNo--;
}
$msg = array_reverse($msg);                 // Turn the array around to display in correct order.

// Print out the array (messages).
for ($num = 0; ($num < 5) && (isset($msg[$num])); $num++) {
    $header  = FindMessageInfo($db, $msg[$num], $fileString);
    $message = FixHeartColors(GetMessage($db, $msg[$num]));
    
    if ($header['fromnetnode'] == $postitCfg['vnetnode']) $header['fromnetnode'] = $postitCfg['aspnetnode'];
?>
<hr color="#525552">
<font color="#FFFF52">By: </font><font color="#FF5552"><?php print $header['fromhandle']; ?></font><font color="#FFFFFF"> (</font><font color="#ADAAAD"><?php print $header['fromuserno']; ?></font><font color="#FFFFFF">@</font><font color="#ADAAAD"><?php print $header['fromnetnode']; ?></font><font color="#FFFFFF">)</font><br />
<?php
    print $message . "\n";
}
?>
</div>

<hr color="#525552"></p>
<p class="message" align="center">If you would like to post a Post-It! note, please visit telnet://<?php print $CONFIG['telnet']; ?>!</p>
</font></p>

<p class="footer" align="center"><b>This display was created using <a class="boldBody" href="http://www.vadvphp.com">VADV-PHP</a>.</b><br />
Post-It! Network Profanity Filter: <?php if ($postitCfg['filter'] == 0) { print 'OFF'; } else { print 'ON'; } ?></p>
<p class="footer" align="center">If you experience any problems with this website or need help, contact the <a href="mailto:<?php print $CONFIG['webmaster']; ?>">webmaster</a>.<br />
VADV-PHP Copyright  2002-<?php print date('Y'); ?> Steve Winn. All Rights Reserved.<br />
Virtual Advanced Copyright  1995-1997 Roland De Graaf.</p>

</body>

</html>
